Annonce

Lorsque vous exposez un problème que vous rencontrez sur votre site, n’omettez pas de bien préciser l’adresse de la page (URL) concernée.

Ouvrez un nouveau sujet de discussion pour poser une question, n'utilisez pas une discussion déjà ouverte si votre problème est différent.
Lorsque votre sujet est résolu, indiquez-le en cliquant sur le lien "Passer le sujet en résolu".

#1 14/03/2012 14:05:32

vouzy-village
Membre
Inscription : 08/05/2010
Messages : 7

[Résolu] messages d'alerte liés au changement de version php

bonjour,
depuis quelques jours, j'ai sur mon site de nombreux messages de ce type:

Warning: Illegal string offset 'active' in /home/httpd/v/o/u/vouzy-village/vouzy-village.franceserv.com/templates/purity2_dens_param/html/pagination.php on line 129

c'est si j'ai bien compris lié au changement de version de PHP. et ces messages ne sont pas
graves
question comment cacher ces messages.
ce site est sous joomla 1.5 et je suis en route pour le faire migrer sur wordpress
(je n'ai pas de pb sous wordpress)

Hors ligne

#2 14/03/2012 14:20:11

elodie
Responsable/CEO FranceServ Hébergement
Lieu : Jura
Inscription : 02/04/2010
Messages : 7 768
Site Web

Re : [Résolu] messages d'alerte liés au changement de version php

Bonjour,

Oui c'est bien ça. Il est inutile de revenir à la version précédente pour des "Warning", seules les "Error" nécessite ce retour.

Aussi, pour cacher les alertes : "Mon interface de gestion" > "Mes sites" > "Gérer" en face du site concerné, puis choisir dans "Les options de mon site", "non" à "Afficher erreurs PHP".

Sinon pour les développeurs, il faut ajouter "& ~E_STRICT" à "error_reporting". Les éditeurs de CMS devront ajouter ce nouveau code de gestion d'erreur dans leurs nouvelles versions.


P8OdseCN.gifVous avez une question ?

Posez-la de préférence sur le forum et si ça demande un contact plus instantané, n'hésitez pas à vous rendre sur le t'chat IRC. Si votre question est personnelle, utilisez alors dans ce cas le formulaire de contact ou alors le téléphone.

Hors ligne

#3 14/03/2012 16:25:51

vouzy-village
Membre
Inscription : 08/05/2010
Messages : 7

Re : [Résolu] messages d'alerte liés au changement de version php

merci

Hors ligne

Pied de page des forums

[ Générées en 0.782 secondes, 10 requêtes exécutées - Utilisation de la mémoire : 580.32 Kio (pic d'utilisation : 609.1 Kio) ]